Update an Account Number
curl --request PATCH \
--url https://api.fintoc.com/v2/account_numbers/{account_number_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"metadata": {
"client_id": "1234"
},
"options": {
"min_amount": 123,
"max_amount": 123
}
}
'import requests
url = "https://api.fintoc.com/v2/account_numbers/{account_number_id}"
payload = {
"description": "<string>",
"metadata": { "client_id": "1234" },
"options": {
"min_amount": 123,
"max_amount": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
metadata: {client_id: '1234'},
options: {min_amount: 123, max_amount: 123}
})
};
fetch('https://api.fintoc.com/v2/account_numbers/{account_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{}""{}"Account Numbers
Update an Account Number
PATCH
/
account_numbers
/
{account_number_id}
Update an Account Number
v2 · Base URL https://api.fintoc.com/v2Authorizations
Headers
Fintoc Secret Key
Path Parameters
The ID of the Account Number to update, obtained from the creation response.
Body
application/json
An arbitrary string attached to the object. Useful for displaying to users or for internal reference.
A set of key-value pairs that can be attached to the object. To unset a specific key, post an empty value for it. To remove all keys, post an empty value for metadata.
Show child attributes
Show child attributes
Indicates whether this Account Number should be enabled or disabled. Disabling an Account Number prevents it from receiving inbound transfers. Note: Root Account Numbers cannot be disabled.
Available options:
enabled, disabled Show child attributes
Show child attributes
Response
200
The response is of type object.
Was this page helpful?
⌘I